Session is not locked when switching to guest session

Bug #1205273 reported by Lars Karlitski on 2013-07-26
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Session Menu
Fix Released
Undecided
Charles Kerr
indicator-session (Ubuntu)
Undecided
Unassigned

Bug Description

I expect my session to be locked when switching to a guest session. If it isn't, the guest could just switch to my VT with Ctrl+Alt+F7.

Apparently, `gnome-screensaver --lock` (or the org.gnome.SessionManager equivalent) needs to be called when switching users or creating a guest session.

Related branches

Lars Karlitski (larsu) on 2013-07-26
Changed in indicator-session:
assignee: nobody → Charles Kerr (charlesk)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

duplicate states:

"indicator-session should lock the screen before switching to unity-greeter .

=== modified file 'src/service.c'
--- src/service.c 2013-07-12 12:42:07 +0000
+++ src/service.c 2013-07-29 19:18:36 +0000
@@ -707,6 +707,7 @@
                       GVariant * param G_GNUC_UNUSED,
                       gpointer gself)
 {
+ indicator_session_actions_switch_to_screensaver (get_backend_actions(gself));
   indicator_session_actions_switch_to_greeter (get_backend_actions(gself));
 }"

affects: ubuntu → indicator-session (Ubuntu)
Changed in indicator-session (Ubuntu):
status: Confirmed → New
tags: added: rls-s-incoming
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-session at revision None, scheduled for release in indicator-session, milestone Unknown

Changed in indicator-session:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+13.10.20130821-0ubuntu1

---------------
indicator-session (12.10.5+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * Lock the current session before switching to the guest session. This
    is done by modifying IndicatorSessionActionsDbus::switch_to_guest()
    to call org.gnome.ScreenSaver's Lock function before switching to
    the guest session. (LP: #1205273)

  [ Ritesh Khadgaray ]
  * Lock the current session before switching to the guest session. This
    is done by modifying IndicatorSessionActionsDbus::switch_to_guest()
    to call org.gnome.ScreenSaver's Lock function before switching to
    the guest session. (LP: #1205273)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 406
 -- Ubuntu daily release <email address hidden> Wed, 21 Aug 2013 06:07:34 +0000

Changed in indicator-session (Ubuntu):
status: New → Fix Released
Changed in indicator-session:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers